## org.apache.lucene.analysis.payloads
Class NumericPayloadTokenFilter

    java.lang.Object
      org.apache.lucene.analysis.TokenStream
          org.apache.lucene.analysis.TokenFilter
              org.apache.lucene.analysis.payloads.NumericPayloadTokenFilter

    public class NumericPayloadTokenFilter

extends TokenFilter

Assigns a payload to a token based on the `Token.type()`

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`NumericPayloadTokenFilter(TokenStream input, float payload, String typeMatch)`

Method Summary
`Token` `next(Token result)`

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`next, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NumericPayloadTokenFilter

    public NumericPayloadTokenFilter(TokenStream input,
                                     float payload,
                                     String typeMatch)

Method Detail

### next

    public Token next(Token result)
               throws IOException

  Overrides:
    `next` in class `TokenStream`
  Throws:
    `IOException`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.